package cz.moneta.test.dataprepare.risk;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.support.util.Level;
import org.junit.jupiter.api.AfterEach;

import java.util.ArrayList;
import java.util.List;

public class DefaultClientPrepare extends DefaultDataPrepare {
    protected List<String> clientBirthNumbers = new ArrayList<>();
    protected int clientCount = 1;//todo JBR - make input parameter

    @AfterEach
    protected void logBirthNumbers(Harness harness) {
        clientBirthNumbers.forEach(rc -> harness.log(Level.INFO, rc));
    }
}